• Signature is missing ?? how to resolve ?


    I do not know how to update, a message tells me: the required signature is missing
    How to solve this problem ?

  • This is happening to me when I tried upgrading, with me its Vivaldi that is missing GPG keys, its an Antergos package so perhaps you need to wait for them to update the keys. There are workarounds for trusting keys or not but I can’t see any for where a package has no keys? Eventually Antergos will hopefully fix this. For now don’t use terminal to -Syu use the GUI and unclick the package that is missing keys that is what I have done, the remaining packages update normally…

  • I have two problem’s : Vivaldi and phonon QT are make upgrade missing !

    When i deactivate, the signature and keys are missing !??

  • @jplbeewee said in Signature is missing ?? how to resolve ?:

    I do not know how to update, a message tells me: the required signature is missing

    Hi!

    What happens if you try sudo pacman -Syu in a terminal?

  • it helps to have the output with the error. you trying to upgrade phonon-qt4. checking AUR also helps to fix your issue https://aur.archlinux.org/packages/phonon-qt4

  • @jplbeewee said in Signature is missing ?? how to resolve ?:

    I have two problem’s : Vivaldi and phonon QT are make upgrade missing !

    When i deactivate, the signature and keys are missing !??

    Better to wait some time and retry, as mirrors may was not completly getting this bunch of updates…
    It looks like (some other reported too) that signatures comes later in then the packages…

  • @fernandomaroto : I have make sudo pacman -Syu and the vivaldi package is upgrade and it is ok !

    Now, phonon-QT4 is missing because the signature pgp is not good !

  • @trytip : I have visit the link, the keys are write but i don’t know how to install inside the pgp ?

  • gpg --recv-keys B92A5F04EC949121
    

    this is the missing key for phonon-qt4. next time you get an error from AUR packages complaining about missing signature replace the numbers with the signature from the error messages

  • On my box phonon-qt5 was also installed, so I elected to remove phonon-qt4 and kdebase-runtime, I had to also uninstall a small number of dependent packages, in my case this was
    phonon-qt4 kdebase-runtime kdelibs breeze-kde4 kdesudo
    System seems to work fine so far, but your mileage may vary…

  • @jplbeewee said in Signature is missing ?? how to resolve ?:

    Now, phonon-QT4 is missing because the signature pgp is not good !

    Ok, i have both phonon packages installed but i haven’t upgraded the system for about a week or so.

    Not sure if there is a problem packaging it.

    One thing all you have problems can do is:

    sudo pacman-key --init; sudo pacman-key --populate; sudo pacman-key --refresh-keys; sudo pacman -Syu

  • @trytip : This solution make no effect.

  • @blaised : I have uninstall phonon-qt4 but i am not shure if it resolve my problem.

  • @fernandomaroto : This solution have no effect !

  • I have uninstall phonon-qt4, and i hope my system is good ?

  • @jplbeewee If you never try you will never know ;-) .

  • @frenchconnection : I have trying all the solutions, but nothing change !
    I have uninstall “phonon-qt4” because “phonon-qt5” is installed !

  • @jplbeewee No such luck then… This might sound silly, but do you reboot systematically after updating? When I was using Manjaro I discovered rather quickly that, at times, several reboots and - even - a complete shutdown followed by a restart could do the trick! Dunno, it’s worth a try if you’ve not tried yet?..! :-)

    Fingers crossed 👍

  • @jplbeewee the fact that update is complaining about the signature implies that phonon-qt4 hasn’t been uninstalled.
    What do you get for pacman -Si phonon-qt4 ?
    I get
    error: package 'phonon-qt4' was not found

    The gui fails to remove the package, (I think this is because of dependencies) so I removed using the command line with
    sudo pacman -Rs phonon-qt4
    which fails, and then kept adding the packages it complains about to that list.
    In my experience that should just be a few more unused packages.
    If the list starts getting large don’t do it just post the list here and we’ll try to figure out what is happening.
    In my case the command line that worked was
    sudo pacman -Rs phonon-qt4 kdebase-runtime kdelibs breeze-kde4 kdesudo
    but your list may be different.

  • Phonon-qt4 is uninstall from my system !
    Now, phonon-qt5 is installed and i can update my system without any problem’s

    Thank you at all for your help !

    ;-)

missing54 signature24 resolve5 Posts 23Views 1722
Log in to reply
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.